<template>
  <div class="d-flex flex-row flex-wrap my-n2">
    <v-col><v-card-title class="text-h6 text-md-h5 text-lg-h4">My file</v-card-title></v-col>
    <div class="d-flex justify-end"><v-card-text class="text-body " style="color: #1E88E5;">See all</v-card-text></div>
  </div>
   
<!-- data table -->
  <v-table
    fixed-header
    height="250"
    class="mx-4 rounded-t-lg rounded-b-lg"
  >
    <thead>
      <tr>
        <th class="text-left">
          Name
        </th>
        <th class="text-left">
          File Item
        </th>
        <th class="text-left">
          Last Modified
        </th>
        <th class="text-left">
          Flie Size
        </th>
      </tr>
    </thead>
    <tbody>
      <tr v-for="item in fileData" :key="item.name">
        <td>
      <v-icon size="30">{{ item.icon }}</v-icon> 
      {{ item.name }} 
    </td>
    <td>{{ item.fileItem }} file</td>
    <td>{{ item.lastModified }}</td>
    <td>{{ item.fileSize }}</td>
  </tr>
    </tbody>
  </v-table>
</template>
<script>
  export default {
    data () {
      return {
        fileData: [
          {
            icon: 'mdi mdi-folder',
            name: 'All my collection',
            fileItem: 159,
            lastModified: 'Jan 2, 2019',
            fileSize: '10 Gb'
          },
          {
            icon: 'mdi mdi-folder',
            name: 'All my collection',
            fileItem: 159,
            lastModified: 'July 7, 2020',
            fileSize: '2 Gb'
          },
          {
            icon: 'mdi mdi-folder',
            name: 'collection Happy new year',
            fileItem: 159,
            lastModified: 'Jan 1, 2019',
            fileSize: '908 Mb'
          },
          {
            icon: 'mdi mdi-play-box',
            name: 'all my video',
            fileItem: 159,
            lastModified: 'Oct 4, 2018',
            fileSize: '8 Gb'
          },
          {
            icon: 'mdi mdi-music-box',
            name: 'All my music',
            fileItem: 159,
            lastModified: 'Mar 16, 2017',
            fileSize: '5 Gb'
          },
          
        ],
      }
    },
  }
</script>
<style scoped>



tbody tr:hover {
    background-color: #E1F5FE;
    color: #0c56ab;
}
</style>